## python-enaml 0.19.0

=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme
packaging
git+https://github.com/nucleic/cppy@main
git+https://github.com/nucleic/atom@main
git+https://github.com/nucleic/kiwi@main
tools/pygments

=== debian/changelog ===
python-enaml (0.19.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1100052)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Wed, 15 Oct 2025 19:01:34 +0200

=== debian/control ===
Source: python-enaml
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 herbstluftwm <!nocheck>,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-atom,
 python3-bytecode (>= 0.15.1),
 python3-cppy (>= 1.2.0),
 python3-kiwisolver,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pegen,
 python3-pyqt6 <!nocheck>,
 python3-pyqt6.qsci <!nocheck>,
 python3-pyqt6.qtwebengine <!nocheck>,
 python3-pyqt6.qtsvg <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytestqt <!nocheck>,
 python3-qtconsole <!nocheck>,
 python3-qtpy <!nocheck>,
 python3-setuptools (>= 61.2),
 python3-setuptools-scm,
 python3-vtk9 <!nocheck>,
 xvfb <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 jdupes <!nodoc>,
 python3-doc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-enaml
Vcs-Git: https://salsa.debian.org/python-team/packages/python-enaml.git
Homepage: https://github.com/nucleic/enaml
Testsuite: autopkgtest-pkg-pybuild

Package: python3-enaml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Declarative DSL for building rich user interfaces in Python
 Enaml is a programming language and framework for creating professional
 quality user interfaces with minimal effort. Enaml combines a domain specific
 declarative language with a constraints based layout system to allow users to
 easily define rich UIs with complex and flexible layouts. Enaml applications
 can be run on any platform which supports Python and Qt.
 .
 A few highlights of the framework:
 .
  * A declarative language which extends the grammar of Python
  * A set of operators which automatically track runtime dependencies
  * A layout system which uses symbolic constraint declarations
  * A design which encourages model-view separation
  * A well documented and easy to follow code base
 .
 This package contains the Python 3 version of enaml.

Package: python-enaml-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Declarative DSL for building rich user interfaces in Python (documentation)
 Enaml is a programming language and framework for creating professional
 quality user interfaces with minimal effort. Enaml combines a domain specific
 declarative language with a constraints based layout system to allow users to
 easily define rich UIs with complex and flexible layouts. Enaml applications
 can be run on any platform which supports Python and Qt.
 .
 A few highlights of the framework:
 .
  * A declarative language which extends the grammar of Python
  * A set of operators which automatically track runtime dependencies
  * A layout system which uses symbolic constraint declarations
  * A design which encourages model-view separation
  * A well documented and easy to follow code base
 .
 This package contains the documentation for enaml.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=enaml
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_BUILD={interpreter} {dir}/enaml/core/parser/generate_enaml_parser.py
export PYBUILD_AFTER_INSTALL=rm -f {destdir}/usr/bin/enaml-compileall
export PYBUILD_BEFORE_TEST=\
    /sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_xvfb.pid --make-pidfile --background --no-close --exec /usr/bin/Xvfb -- :99 -screen 0 1920x1200x24 -ac +extension GLX +render -noreset; \
    sleep 3; \
    /sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --make-pidfile --background --no-close --exec /usr/bin/herbstluftwm -- --replace; \
    sleep 1
export PYBUILD_AFTER_TEST=\
    /sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --remove-pidfile || true; \
    /sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_xvfb.pid --remove-pidfile || true
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DISPLAY=:99.0

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	pod2man -c "Enaml documentation" --release "Enaml $(DEB_VERSION_UPSTREAM)" --section 1 debian/enaml-run.pod > debian/enaml-run.1
	pod2man -c "Enaml documentation" --release "Enaml $(DEB_VERSION_UPSTREAM)" --section 1 debian/utils/enamlclean.pod > debian/utils/enamlclean.1
	pod2man -c "Enaml documentation" --release "Enaml $(DEB_VERSION_UPSTREAM)" --section 1 debian/utils/enamlcompile.pod > debian/utils/enamlcompile.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -vd)_enaml/build:$(CURDIR)/tools/pygments/ python3 -P -m sphinx -N -bhtml docs/source/ debian/python-enaml-doc/usr/share/doc/python-enaml-doc/html/
	jdupes -rl debian/python-enaml-doc/usr/share/doc/python-enaml-doc/html/
	dh_sphinxdoc
endif

execute_after_dh_installexamples:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if test -d debian/python-enaml-doc/usr/share/doc; then jdupes -rl debian/python-enaml-doc/usr/share/doc; fi
endif

=== debian/watch ===
version=4
https://github.com/nucleic/enaml/tags .*/(\d[0-9.]*)@ARCHIVE_EXT@
